using System;
using System.Collections.Generic;
using System.Text;

namespace JuSNS.Model
{
    public class NewsInfo
    {
        private int _ID;
        private string _Content = string.Empty;
        private string _Title = string.Empty;
        private string _IP = string.Empty;
        private int _UserID;
        private int _ClassID;
        private DateTime _CreatTime;
        private int _islock;
        private int _click;
        private int _isSys;
        private int _shareNum;
        private string _ClassName;
        private string _Pic;
        /// <summary>
        /// 编号
        /// </summary>
        public int ID
        {
            get { return _ID; }
            set { _ID = value; }
        }
        /// <summary>
        /// 内容
        /// </summary>
        public string Content
        {
            get { return _Content; }
            set { _Content = value; }
        }
        /// <summary>
        /// 标题
        /// </summary>
        public string Title
        {
            get { return _Title; }
            set { _Title = value; }
        }
        public string IP
        {
            get { return _IP; }
            set { _IP = value; }
        }
        /// <summary>
        /// 发布者
        /// </summary>
        public int UserID
        {
            get { return _UserID; }
            set { _UserID = value; }
        }

        /// <summary>
        /// ClassID
        /// </summary>
        public int ClassID
        {
            get { return _ClassID; }
            set { _ClassID = value; }
        }

        public int islock
        {
            get { return _islock; }
            set { _islock = value; }
        }

        public int click
        {
            get { return _click; }
            set { _click = value; }
        }

        public int isSys
        {
            get { return _isSys; }
            set { _isSys = value; }
        }

        public int shareNum
        {
            get { return _shareNum; }
            set { _shareNum = value; }
        }
        
        public DateTime CreatTime
        {
            get { return _CreatTime; }
            set { _CreatTime = value; }
        }
        /// <summary>
        /// 栏目名称
        /// </summary>
        public string ClassName
        {
            get { return _ClassName; }
            set { _ClassName = value; }
        }
        /// <summary>
        /// 相关图片
        /// </summary>
        public string Pic
        {
            get { return _Pic; }
            set { _Pic = value; }
        }

    }
}
